Class List Method List File List

# Class: WpTimthumb

Inherits:
  WpItem
  - Object
  - WpItem
  - WpTimthumb
  show all
Includes:
  Existable, Output, Versionable
Defined in:
  lib/common/models/wp_timthumb.rb,
  lib/common/models/wp_timthumb/output.rb,
  lib/common/models/wp_timthumb/existable.rb,
  lib/common/models/wp_timthumb/versionable.rb

## Defined Under Namespace

Modules: Existable, Output, Versionable

## Instance Attribute Summary

### Attributes inherited from WpItem

#found_from, #name, #path, #version, #wp_content_dir, #wp_plugins_dir

### Attributes included from WpItem::Vulnerable

#vulns_file, #vulns_xpath

## Instance Method Summary (collapse)

- - (Boolean) ==(other)

### Methods included from Output

#output

### Methods included from Existable

#exists_from_response?

### Methods included from Versionable

#to_s, #version

### Methods inherited from WpItem

#<=>, #===, #allowed_options, #forge_uri, #initialize, #set_options, #uri, #url

### Methods included from WpItem::Output

#output

### Methods included from WpItem::Infos

#changelog_url, #error_log_url, #has_changelog?, #has_directory_listing?, #has_error_log?, #has_readme?, #readme_url, #url_is_200?

### Methods included from WpItem::Existable

#exists?, #exists_from_response?

### Methods included from WpItem::Vulnerable

#vulnerabilities, #vulnerable_to?

### Methods included from WpItem::Versionable

#to_s, #version

## Constructor Details

This class inherits a constructor from WpItem

## Instance Method Details

### - (`Boolean`) ==(other)

Parameters:

- other (`WpTimthumb`)

Returns:

- (`Boolean`)

    15
    16
    17
    # File 'lib/common/models/wp_timthumb.rb', line 15

    def ==(other)
      url == other.url
    end